import { View } from "@tarojs/components";
import './index.scss'


export default function CConsultantItem(props) {

  const { data, style, type } = props

  return (
    <View className="card-item" style={style}>
      <Image src={data.photo || data.avatar} className='avatar' ></Image>
      <View className="name">{data.name || data.userName}<Image src={require('@/assets/person/card.png')} className='card' ></Image>{type == 'raiseProfile' && <View className="tip">您的专属置业顾问</View>}</View>
      <View className="phone">{data.phone}</View>
      {!type && <View className="home">主页</View>}
      {type == 'raiseProfile' && <View className="contact" onClick={props.contactClick}>联系我<Text className="right-icon"></Text></View>}
    </View >
  );
}