/**
 * 房源相关
 */

 import {
   ADD_CART,
   SUB_CART,
 } from '@/constants/house'

const INITIAL_STATE = {
  // 认筹临时选中房源
  raiseCart: [],
}

export default function(state = INITIAL_STATE, action) {
  const { type, payload } = action

  switch(type) {
    // 加入临时选择
    case ADD_CART:
      return {
        ...state,
        raiseCart: state.raiseCart.filter(x => x.houseId !== payload.houseId).concat(payload),
      };

    // 取消临时选择
    case SUB_CART:
      return {
        ...state,
        raiseCart: state.raiseCart.filter(x => x.houseId !== payload.houseId),
      };

    default:
      return state;
  }
}
