import { View, Image, Text } from "@tarojs/components";
import { transferImage } from '@/utils/tools'
import dayjs from 'dayjs'
import emptyImg from '@/assets/empty.png'

import './index.scss'

export default function HouseCard(props) {
  const { selector, title, currentValue, keyValue } = props || {}



  return (
    <View className="con-item">
      <View className="title">
        {title}
      </View>
      <View className="con-picker" >
        <Picker mode='selector' range={selector} range-key={keyValue} onChange={props.handleChange}>
          <View className='picker'>
            {currentValue}
          </View>
        </Picker>
        <View className="choose">请选择</View>
      </View>
    </View>
  )
}
